# Generated by Django 5.2.1 on 2025-06-24 03:09

import django.core.serializers.json
import django.db.models.deletion
import django_blocknote.models.fields
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("django_blocknote", "0002_alter_unusedimageurls_image_url"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="DocumentTemplate",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        help_text="The title displayed in the slash menu",
                        max_length=200,
                        verbose_name="Title",
                    ),
                ),
                (
                    "subtext",
                    models.CharField(
                        blank=True,
                        help_text="Brief description shown under title in slash menu (max 20 characters)",
                        max_length=20,
                        verbose_name="Subtext",
                    ),
                ),
                (
                    "aliases",
                    models.CharField(
                        blank=True,
                        help_text="Comma-separated search aliases for slash menu filtering",
                        max_length=500,
                        verbose_name="Aliases",
                    ),
                ),
                (
                    "group",
                    models.CharField(
                        blank=True,
                        help_text="Group name for organizing templates in slash menu (e.g., app name)",
                        max_length=100,
                        verbose_name="Group",
                    ),
                ),
                (
                    "icon",
                    models.CharField(
                        choices=[
                            ("document", "Document"),
                            ("template", "Template"),
                            ("report", "Report"),
                            ("letter", "Letter"),
                            ("meeting", "Meeting"),
                            ("checklist", "Checklist"),
                            ("calendar", "Calendar"),
                            ("book", "Book/Journal"),
                            ("chart", "Chart/Graph"),
                            ("calculator", "Calculator"),
                            ("currency", "Currency/Money"),
                            ("bank", "Bank/Account"),
                            ("receipt", "Receipt/Invoice"),
                            ("trend", "Trend/Analytics"),
                            ("briefcase", "Business/Portfolio"),
                            ("scale", "Balance/Journal"),
                            ("eye", "Watchlist/Monitor"),
                            ("presentation", "Presentation"),
                            ("spreadsheet", "Spreadsheet"),
                            ("contract", "Contract/Agreement"),
                            ("clock", "Time/Schedule"),
                            ("bookmark", "Bookmark/Saved"),
                        ],
                        default="template",
                        help_text="Icon displayed in the slash menu",
                        max_length=50,
                        verbose_name="Icon",
                    ),
                ),
                (
                    "content",
                    django_blocknote.models.fields.BlockNoteField(
                        blank=True,
                        default=dict,
                        encoder=django.core.serializers.json.DjangoJSONEncoder,
                        help_text="BlockNote template blocks",
                        null=True,
                        verbose_name="Template Content",
                    ),
                ),
                (
                    "show_in_menu",
                    models.BooleanField(
                        default=True,
                        help_text="Whether this template appears in the slash menu",
                        verbose_name="Show in Menu",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="When this template was created",
                        verbose_name="Created At",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        help_text="The user who created this template",
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="Owner",
                    ),
                ),
            ],
            options={
                "verbose_name": "Document Template",
                "verbose_name_plural": "Document Templates",
                "ordering": ["group", "title"],
                "indexes": [
                    models.Index(
                        fields=["user", "show_in_menu"],
                        name="django_bloc_user_id_bdfa81_idx",
                    ),
                    models.Index(fields=["group"], name="django_bloc_group_5929c8_idx"),
                    models.Index(
                        fields=["created_at"], name="django_bloc_created_5d9e6b_idx"
                    ),
                ],
            },
        ),
    ]
